### Type parameters

- #### R: BaseRequest<any, any>

### Hierarchy

- RequestSortKeyConditionFunction

### Indexable

[key: string]: function

- - (...value: any[]): R

  - #### Parameters

    - ##### Rest ...value: any[]

    #### Returns R

## Index

### Properties

- beginsWith
- between
- eq
- equals
- gt
- gte
- lt
- lte

## Properties

### beginsWith

beginsWith: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:25

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

### between

between: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:24

#### Type declaration

- - (value1: any, value2: any): R

  - #### Parameters

    - ##### value1: any

    - ##### value2: any

    #### Returns R

### eq

eq: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:19

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

### equals

equals: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:18

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

### gt

gt: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:22

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

### gte

gte: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:23

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

### lt

lt: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:20

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

### lte

lte: function

- Defined in dynamo/expression/type/sort-key-condition-function.ts:21

#### Type declaration

- - (value: any): R

  - #### Parameters

    - ##### value: any

    #### Returns R

Generated using TypeDoc